petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCASMGetSubMatType

Gets the matrix type used for ASM subsolves, as a string.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMGetSubMatType(PC pc,MatType *sub_mat_type)

Not Collective

### Input Parameter

pc -the PC

### Output Parameter

-pc_asm_sub_mat_type -name of matrix type

### Keywords

PC, PCASM, MatType, set

### See Also

PCASMSetSubMatType(), PCASM, PCSetType(), VecSetType(), MatType, Mat

### Level

advanced

### Location

src/ksp/pc/impls/asm/asm.c

### Implementations

PCASMGetSubMatType_ASM in src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages